### org.jfree.layouting.layouter.content.statics

# Class StaticTextToken

- `java.lang.Object`
- - `org.jfree.layouting.layouter.content.statics.StaticToken`
  - - `org.jfree.layouting.layouter.content.statics.StaticTextToken`

Implemented Interfaces:
  ContentToken, TextType

`public class StaticTextToken`
`extends StaticToken`
`implements TextType`

Static text. All CDATA and all constant strings from the 'content' style-definition result in StaticTextTokens.

Author:
  Thomas Morgner

  ## Constructor Summary

  `StaticTextToken(String text)`

  ## Method Summary

  `String`

  `getText()`

  `String`

  `toString()`

## Constructor Details

### StaticTextToken

    public StaticTextToken(String text)

## Method Details

### getText

    public String getText()

> Specified by:
>   getText in interface TextType

### toString

    public String toString()